﻿// Copyright (c) 2020 Tudor Stanciu

using Tuitio.Domain.Models;
using System.Threading.Tasks;
using Tuitio.Domain.Models.Account;

namespace Tuitio.Application.Services
{
    public interface IUserService
    {
        Task<LoginResult> Login(string userName, string password);
        Task<LogoutResult> Logout(string tokenRaw);
        Token Authorize(string tokenRaw);
    }
}