﻿// Copyright (c) 2020 Tudor Stanciu

using Tuitio.PublishedLanguage.Dto;
using System.Threading.Tasks;

namespace Tuitio.Wrapper.Services
{
    public interface ITuitioService
    {
        Task<Token> Authenticate(string userName, string password);
        Task<TokenAuthorizationResult> Authorize(string token);
    }
}
